import matplotlib.pyplot as plt
import numpy as np

end1=81
end2=201
end3=241
end4=320
end5=478
sec1 = []
sec2 = []
sec3 = []
sec4 = []
sec5 = []
sec6 = []
with open('Txt/all_chls.txt', 'r') as f:
	chLs = f.readlines()
for il,line in enumerate(chLs):
	if '=' not in line:
		chnum, x, y = line.split()
		if il in range(end1):
			sec1.append([il,float(x),float(y)])
		if il in range(end1,end2):
			sec2.append([il,float(x),float(y)])
		if il in range(end2,end3):
			sec3.append([il,float(x),float(y)])
		if il in range(end3,end4):
			sec4.append([il,float(x),float(y)])
		if il in range(end4,end5):
			sec5.append([il,float(x),float(y)])
		elif il>=end5:
			sec6.append([il,float(x),float(y)])
		
sec1 = np.array(sec1)
sec2 = np.array(sec2)
sec3 = np.array(sec3)
sec4 = np.array(sec4)
sec5 = np.array(sec5)
sec6 = np.array(sec6)
plt.plot(sec1[:,1],sec1[:,2],'r')
plt.plot(sec2[:,1],sec2[:,2],'r')
plt.plot(sec3[:,1],sec3[:,2],'r')
plt.plot(sec4[:,1],sec4[:,2],'b')
plt.plot(sec5[:,1],sec5[:,2],'b')
plt.plot(sec6[:,1],sec6[:,2],'b')
plt.xlabel('East UTM [m]')
plt.ylabel('North UTM [m]')
plt.text((sec1[0,1]+sec1[-1,1])/2+5,(sec1[0,2]+sec1[-1,2])/2,'A',fontsize=12,fontweight='bold')
plt.text((sec2[0,1]+sec2[-1,1])/2+5,(sec2[0,2]+sec2[-1,2])/2,'B',fontsize=12,fontweight='bold')
plt.text((sec3[0,1]+sec3[-1,1])/2+5,(sec3[0,2]+sec3[-1,2])/2,'C',fontsize=12,fontweight='bold')
plt.text((sec4[0,1]+sec4[-1,1])/2,(sec4[0,2]+sec4[-1,2])/2,'D',fontsize=12,fontweight='bold')
plt.text((sec5[0,1]+sec5[-1,1])/2+5,(sec5[0,2]+sec5[-1,2])/2,'E',fontsize=12,fontweight='bold')
plt.text((sec6[0,1]+sec6[-1,1])/2+5,(sec6[0,2]+sec6[-1,2])/2,'F',fontsize=12,fontweight='bold')
plt.text(sec1[0,1],sec1[0,2],'1',color='r',fontsize=12)
plt.text(sec1[-1,1],sec1[-1,2]-8,'81',color='r',fontsize=12)
plt.text(sec2[0,1]-20,sec2[0,2]+8,'82',color='r',fontsize=12)
plt.text(sec2[-1,1]-20,sec2[-1,2]-8,'201',color='r',fontsize=12)
plt.text(sec3[0,1]-15,sec3[0,2]+8,'202',color='r',fontsize=12)
plt.text(sec3[-1,1]-15,sec3[-1,2]-15,'241',color='r',fontsize=12)
plt.text(sec3[-1,1],sec3[-1,2],'533',color='b',fontsize=12)
plt.text(sec4[0,1]-35,sec4[0,2]+6,'242',color='b',fontsize=12)
plt.text(sec4[-1,1],sec4[-1,2],'320',color='b',fontsize=12)
plt.text(sec5[0,1]-30,sec5[0,2]+6,'321',color='b',fontsize=12)
plt.text(sec5[-1,1],sec5[-1,2]-8,'478',color='b',fontsize=12)
plt.text(sec6[0,1]-15,sec6[0,2]+8,'479',color='b',fontsize=12)
plt.grid()
plt.savefig('Fig/sim-map.pdf')
