import sys
sys.path[1] = '/opt/anaconda2/lib/python2.7/site-packages/'
import numpy as np
from scipy.optimize import minimize
from scipy.sparse import coo_matrix,save_npz
import math
import sys
from scipy import sparse
import time

def saveData(outputFileName,data):
	with open(outputFileName,'w') as f:
		f.write('in='+outputFileName+'@\n n1='+str(naz)+' o1='+str(oaz)+' d1='+str(daz)+'\n')
		f.write('n2='+str(nslo)+' o2='+str(oslo)+' d2='+str(dslo)+'\n')
		f.write('n3='+str(nwave)+' o3='+str(owave)+' d3='+str(dwave)+'\n')
		f.write('n4='+str(nt0)+' o4='+str(ot0)+' d4='+str(dt0)+'\n')
		f.write('gff="-1" hff="-1"\n')

	with open(outputFileName+'@','wb') as newFile:
		rt = data.astype(np.float32)
		rt.byteswap(True)
		newByteArray = bytearray(rt)
		newFile.write(newByteArray)
	print "<<<<<<<<<<results saved!"
	
# output data file name
outputFileName = sys.argv[1]
geoPath = sys.argv[2]
parPath = sys.argv[3]
sys.path.append(parPath)
from wavePar import *
sys.path.remove(parPath)
sys.path.append(geoPath)
from par import *
sys.path.remove(geoPath)

# m0
t0Ls = np.linspace(ot0,nt0*dt0,nt0,endpoint=False)
amp1Ls = amp1*np.sin(t0Ls*2*math.pi*freq)
amp2Ls = amp2*np.sin(t0Ls*2*math.pi*freq)
m0 = np.zeros((naz,nslo,nwave,nt0))
m0[iaz1][islo1][waveType1][:] = amp1Ls
m0[iaz2][islo2][waveType2][:] = amp2Ls

nm = naz*nslo*nwave*nt0

# save model
print 'saving the model into model file!'
m0 = m0.T
m0 = m0.reshape((nm,1))
saveData(outputFileName,m0)
print 'saved!'
