import sys
sys.path[1] = '/opt/anaconda2/lib/python2.7/site-packages/'
import numpy as np
from scipy.sparse import coo_matrix,save_npz
import math
from scipy import sparse
import time
sys.path.append("/net/server2/homes/sep/syyuan/septool/")
from readSEPfile import *


def saveData(outputFileName,data):
    with open(outputFileName,'w') as f:
        f.write('in='+outputFileName+'@\n n1='+str(nt)+' o1='+str(ot)+' d1='+str(dt)+'\n')
        f.write('n2='+str(nch)+' o2='+str(och)+' d2='+str(dch)+'\n')
        f.write('gff="-1" hff="-1"\n')

    with open(outputFileName+'@','wb') as newFile:
        rt = data.astype(np.float32)
        rt.byteswap(True)
        newByteArray = bytearray(rt)
        newFile.write(newByteArray)
    print "<<<<<<<<<<results saved!"

# output data file name
outputFileName = sys.argv[1]
FopFile = sys.argv[2]
modelFile = sys.argv[3]
data_par_path = sys.argv[4]
model_par_path = sys.argv[5]
sys.path.append(data_par_path)
from par import *
sys.path.remove(data_par_path)

sys.path.append(model_par_path)
from wavePar import *
sys.path.remove(model_par_path)

# load operator (spase matrix)
Fop = sparse.load_npz(FopFile)

# read model
nm = naz*nslo*nwave*nt0
binFile, tem1, tem2 = readHeader(modelFile)
m0 = readTrace(binFile, nm, 4, '>', nm)

m0 = m0.reshape((nt0,nwave,nslo,naz))
m0 = m0.T
m0 = m0.reshape((nm,1))

# save data
print 'computing the data!'
data = Fop.dot(m0)
data = data.reshape((nt,nch))
data = data.T
print 'computing is complete!'
data = data.reshape((data.size,1))
print 'saving!'
saveData(outputFileName,data)
print 'saved!'
